import collections
import pprint

import pandas as pd
from chrono.agendas.models import Agenda, Event
from django.db import connection

print(connection.tenant.domain_url)

agendas = collections.OrderedDict()

for agenda in Agenda.objects.filter(kind='event').order_by('label').prefetch_related('events'):
    agendas[agenda.label] = pd.DataFrame(agenda.events.values_list('start_datetime', flat=True))

pprint.pprint(agendas)
